Subject: Re: log --format existence of notes?

From: Junio C Hamano <[email-masked]>
Date: Sat, 16 Nov 2024 09:06:38 +0900

"Bence Ferdinandy" <[email-masked]> writes:

> based on the man pages it doesn't seem possible, but maybe I'm missing something.
>
> I would like to put together a "log --format=" which is similar to --oneline,
> but where if there's a note for the commit it's marked with e.g. a notebook
> symbol. There's %N, but that prints the entire note, so it doesn't work well
> with one commit per line.

I do not think it is doable.  Unlike the format language in the
for-each-ref/branch --list family of commands, the pretty-format
language in the log family of commands lack more involved
conditional formatting features.

Unifying these two formatting languages to port features from one to
the other would be needed, I guess.  If we had a note support in the
latter,  something like

$ git branch -l --format='%(subject)%(if)%(note:amlog)%(then)📓%(end)'

may have worked.